## kget 4.13.0

=== desktop/CMakeLists.txt ===
# associate KGet with the correct mimetypes
configure_file(kget.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kget.desktop)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/kget.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kget_download.desktop DESTINATION
${SERVICES_INSTALL_DIR}/ServiceMenus)

# For DBus activation:
configure_file(org.kde.kget.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.service
    DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

## kget 4.11.2

=== debian/changelog ===
kget (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:24:51 +0100

kget (4:4.11.1-0ubuntu2) saucy; urgency=low

  * Add missing files to kget.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 08 Sep 2013 21:12:26 +0200

kget (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:22:54 +0100

kget (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:15:43 +0100

kget (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:34:45 +0100

kget (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:29 +0000

kget (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * tidy not-installed

  [ Michał Zając ]
  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:13:35 +0100

kget (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package split from kdenetwork

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:25:26 +0100

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2),
 libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.11.2),
 libktorrent-dev (>= 1.1), libmms-dev, libboost1.53-dev,
 kde-workspace-dev (>= 4:4.11.2), libnepomukwidgets-dev (>= 4:4.11.2),
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget

Package: kget
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

Package: kget-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kget (= ${binary:Version})
Recommends: kde-workspace-dbg
Breaks: kdenetwork-dbg
Replaces: kdenetwork-dbg
Description: debugging symbols for kget
 This package contains debugging files used to investigate problems with
 binaries included in kget

## kget 4.11.3

=== debian/changelog ===
kget (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:52:07 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2),
- libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3), libkonq5-dev (>= 4:4.11.3),
+ libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.11.3),
  libktorrent-dev (>= 1.1), libmms-dev, libboost1.53-dev,
- kde-workspace-dev (>= 4:4.11.2), libnepomukwidgets-dev (>= 4:4.11.2),
+ kde-workspace-dev (>= 4:4.11.3), libnepomukwidgets-dev (>= 4:4.11.2),
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget-13.10
 
 Package: kget
 Section: net

## kget 4.12.3

=== debian/changelog ===
kget (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:37:38 +0100

kget (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:45:57 +0100

kget (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:59:55 +0000

kget (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:17:23 +0000

kget (4:4.12.0-0ubuntu2) trusty; urgency=medium

  * Build-depend on the unversioned libboost-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 18:40:43 +0000

kget (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:07:06 +0000

kget (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:08:48 +0000

kget (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:05:24 +0100

kget (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.3), libkonq5-dev (>= 4:4.11.3),
- libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.11.3),
- libktorrent-dev (>= 1.1), libmms-dev, libboost1.53-dev,
- kde-workspace-dev (>= 4:4.11.3), libnepomukwidgets-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.12.3), libkonq5-dev (>= 4:4.12.3),
+ libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.12.3),
+ libktorrent-dev (>= 1.1), libmms-dev, libboost1.48-dev,
+ kde-workspace-dev (>= 4:4.11.2), libnepomukwidgets-dev (>= 4:4.12.3),
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget
 
 Package: kget
 Section: net

## kget 4.13.0

=== debian/changelog ===
kget (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:02:51 +0100

kget (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:26:28 +0200

kget (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:28:15 +0100

kget (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Drop libnepomukwidgets-dev from build-depends, obsolete
  * Remove obsolete nepomuk ontologies from kget.install 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Mar 2014 14:13:47 +0100

kget (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:57:17 +0000

kget (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:48:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libkonq5-dev (>= 4:4.12.3),
- libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.12.3),
- libktorrent-dev (>= 1.1), libmms-dev, libboost1.48-dev,
- kde-workspace-dev (>= 4:4.11.2), libnepomukwidgets-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0),
+ libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.13.0),
+ libktorrent-dev (>= 1.1), libmms-dev, libboost-dev,
+ kde-workspace-dev (>= 4:4.11.2)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kget-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kget-([\d\.]*).tar.xz

## kget 4.13.1

=== transfer-plugins/CMakeLists.txt ===
add_subdirectory(kio)
add_subdirectory(multisegmentkio)
add_subdirectory(metalink)
if (LIBKTORRENT_FOUND)
  add_subdirectory(bittorrent)
endif (LIBKTORRENT_FOUND)
add_subdirectory(mirrorsearch)
#add_subdirectory(contentfetch)
if (LIBMMS_FOUND)
  add_subdirectory(mmsthreads)
endif (LIBMMS_FOUND)
add_subdirectory(checksumsearch)

SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}" PARENT_SCOPE)

=== plasma/runner/CMakeLists.txt ===
set(krunner_kget_SRCS
    kgetrunner.cpp
    )

qt4_add_dbus_interface(krunner_kget_SRCS ../../dbus/org.kde.kget.main.xml kget_interface)

kde4_add_plugin(krunner_kget
    ${krunner_kget_SRCS}
)
target_link_libraries(krunner_kget
    ${KDE4_PLASMA_LIBS}
)

install(TARGETS
    krunner_kget
    DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES
    plasma-runner-kget.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== transfer-plugins/checksumsearch/CMakeLists.txt ===
include_directories(
   ../../
)

set(kget_checksumsearchfactory_PART_SRCS
  checksumsearch.cpp
  checksumsearchtransferdatasource.cpp
  checksumsearchfactory.cpp
)

kde4_add_kcfg_files(kget_checksumsearchfactory_PART_SRCS checksumsearchsettings.kcfgc)

kde4_add_plugin(kget_checksumsearchfactory ${kget_checksumsearchfactory_PART_SRCS})

target_link_libraries(kget_checksumsearchfactory ${KDE4_KIO_LIBS} kgetcore)

install(TARGETS kget_checksumsearchfactory DESTINATION  ${PLUGIN_INSTALL_DIR})
install(FILES kget_checksumsearchfactory.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kget_checksumsearchfactory.kcfg DESTINATION ${KCFG_INSTALL_DIR})

###Build KCM-Module
set(kcm_kget_checksumsearchfactory_PART_SRCS
checksumsearch.cpp
dlgchecksumsearch.cpp
)

kde4_add_ui_files(kcm_kget_checksumsearchfactory_PART_SRCS
checksumsearch.ui
checksumsearchadddlg.ui
)

kde4_add_kcfg_files(kcm_kget_checksumsearchfactory_PART_SRCS checksumsearchsettings.kcfgc)
kde4_add_plugin(kcm_kget_checksumsearchfactory ${kcm_kget_checksumsearchfactory_PART_SRCS})
target_link_libraries(kcm_kget_checksumsearchfactory ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} kgetcore)
install(TARGETS kcm_kget_checksumsearchfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_checksumsearchfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== extensions/webinterface/www/CMakeLists.txt ===
set(www_data
    index.htm
    mootools-core-yc.js
    mootools-more.js
    favicon.ico
    header-background.png
    header-separator.png
    hi64-apps-kget.png
    new-download-background.png
    png_hack/blank.gif
    png_hack/iepngfix.htc
    preferences-system.png
    title-border-bottom-downloads.png
    title-border-bottom-settings.png
    view-refresh.png
)

install(FILES ${www_data} DESTINATION ${DATA_INSTALL_DIR}/kget/www)

=== debian/changelog ===
kget (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:51:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0),
- libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.1), libkonq5-dev (>= 4:4.13.1),
+ libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.13.1),
  libktorrent-dev (>= 1.1), libmms-dev, libboost-dev,
  kde-workspace-dev (>= 4:4.11.2)
 Standards-Version: 3.9.4

## kget 4.14.0+dfsg

=== debian/changelog ===
kget (4:4.14.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 01:17:50 +0200

kget (4:4.13.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:25:42 +0200

kget (4:4.12.3+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:27 +0200

kget (4:4.12.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:21 +0100

kget (4:4.12.2+dfsg-1) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.
  * Depend on ${perl:Depends} too.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.
  * New patch: disable_kget_test_transfers
  * New patch: disable_kget-verifiertest
  * New upstream release.
  * New patch: kget_testjob_finished_stays
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:32 +0100

kget (4:4.11.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 11:02:21 +0100

kget (4:4.11.2+dfsg-1) experimental; urgency=low

  * First release of kdenetwork after being split by upstream.
  * Add debian version mangle to the watch file.
  * Missing + in the copyright file.
  * Update build-dependencies.
  * Add missing debian/source directory.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:09:26 +0200

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kde-workspace-dev (>= 4:4.11),
               kdepimlibs5-dev (>= 4:4.11),
               libboost-dev,
               libgpgme11-dev,
               libjs-mootools,
               libktorrent-dev (>= 1.1),
               libmms-dev,
               libqca2-dev (>= 2.0.0),
               libsoprano-dev,
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-desktop-ontologies (>= 0.8)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kget.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kget.git

Package: kget
Section: net
Architecture: any
Depends: libjs-mootools, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

## kget 4.14.1

=== debian/changelog ===
kget (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:13:42 +0200

kget (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:07:56 +0200

kget (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:46:09 +0200

kget (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:14:36 +0200

kget (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:06:14 +0200

kget (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:57:11 +0100

kget (4:4.13.0-0ubuntu4) utopic; urgency=medium

  * Debian merge, remaining changes:
   - Removed nepomuk due to build failure and EOL

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 14 May 2014 08:49:40 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kget
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -12,10 +13,11 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kde-workspace-dev (>= 4:4.11),
-               kdepimlibs5-dev (>= 4:4.11),
+               kdepimlibs5-dev (>= 4:4.14.1),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
+               libkonq5-dev (>= 4:4.14.1),
                libktorrent-dev (>= 1.1),
                libmms-dev,
                libqca2-dev (>= 2.0.0),

## kget 4.14.2

=== CMakeLists.txt ===
project(kget)

if(NOT INSIDE_KDENETWORK)
    message("Not building inside KDENetwork, loading KDE CMake Macros.")

    find_package(KDE4 REQUIRED)

    include(KDE4Defaults)
    include(MacroLibrary)

    include(CheckIncludeFile)
    include(CheckIncludeFiles)
    include(CheckSymbolExists)
    include(CheckFunctionExists)
    include(CheckLibraryExists)
    include(CheckPrototypeExists)
    include(CheckTypeSize)

    set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})
    if(WIN32)
       set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
       set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
    endif(WIN32)
    add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
    add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
endif(NOT INSIDE_KDENETWORK)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

macro_optional_find_package(NepomukCore)
macro_log_feature(NepomukCore_FOUND "NepomukCore" "Semantic Desktop" "http://nepomuk.kde.org" FALSE "" "Nepomuk is needed for the integration into KGet")

macro_optional_find_package(NepomukWidgets)
macro_log_feature(NepomukWidgets_FOUND "NepomukWidgets" "Semantic Desktop" "http://nepomuk.kde.org" FALSE "" "Nepomuk is needed for the integration into KGet")

macro_optional_find_package(Sqlite)
macro_log_feature(SQLITE_FOUND "SQLite" "SQLite is a Binary-Database" "" FALSE "" "Needed for the SQLite-Backend of the KGet-History and the Kopete-Statistic-Plugin")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0.0" "Needed for the KGet bittorrent-plugin and some Kopete plugins")

macro_optional_find_package(QGpgme)
macro_log_feature(QGPGME_FOUND "QGpgME" "The QGpgME library" "http://www.kde.org" FALSE "" "QGpgME is required to have signature verifying support in KGet.")

macro_optional_find_package(KTorrent)
macro_log_feature(LIBKTORRENT_FOUND "libktorrent" "Backend Library of KTorrent" "http://ktorrent.org" FALSE "" "Needed to build KGet bittorrent support.")

macro_optional_find_package(LibMms)
macro_log_feature(LIBMMS_FOUND "libmms" "Library to read mms streams" "http://libmms.sourceforge.net" FALSE "" "Needed to build KGet mms support.")

set(kget_adaptor_SRCS
    dbus/dbuskgetwrapper.cpp
)
# set(kget_transfer_adaptor_SRCS
#     core/transferhandler.cpp
#     core/transfertreemodel.cpp
# )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5001) 

if(CMAKE_BUILD_TYPE MATCHES debugfull)
     add_definitions(-DDEBUG)
endif(CMAKE_BUILD_TYPE MATCHES debugfull)

if (NepomukCore_FOUND AND NepomukWidgets_FOUND)
    find_package(Soprano)
    find_package(SharedDesktopOntologies 0.4)
endif (NepomukCore_FOUND AND NepomukWidgets_FOUND)
if(SharedDesktopOntologies_FOUND)
    set(HAVE_NEPOMUK SharedDesktopOntologies_FOUND)
    include_directories(
        ${SOPRANO_INCLUDE_DIR}
        ${NEPOMUK_CORE_INCLUDE_DIR}
        ${NEPOMUK_WIDGETS_INCLUDE_DIR}
    )
    add_definitions(-DHAVE_NEPOMUK)
    add_definitions(-DDISABLE_NEPOMUK_LEGACY)
    include(NepomukAddOntologyClasses)
endif(SharedDesktopOntologies_FOUND)

if(QCA2_FOUND)
    add_definitions(-DHAVE_QCA2)
    include_directories(
        ${QCA2_INCLUDE_DIR}
    )
endif(QCA2_FOUND)

if(QGPGME_FOUND)
    find_package(Boost REQUIRED)
    add_definitions(-DHAVE_QGPGME)
    include_directories(
        ${Boost_INCLUDE_DIRS}
        ${QGPGME_INCLUDE_DIR}
    )
endif(QGPGME_FOUND)

add_subdirectory(conf)
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(transfer-plugins)
add_subdirectory(extensions)
add_subdirectory(sounds)
add_subdirectory(desktop)
add_subdirectory(plasma)
add_subdirectory(tests)
add_subdirectory(doc)

macro_optional_find_package(KDE4Workspace)
macro_log_feature(KDE4WORKSPACE_FOUND "KDE4Workspace" "KDE4 workspace libraries, part of kdebase-workspace" "http://www.kde.org" FALSE "" "Allows 'shutdown after downloads completed' in kget")
if(KDE4WORKSPACE_FOUND)
    add_definitions(-DHAVE_KWORKSPACE)
	include_directories(${KDE4WORKSPACE_INCLUDE_DIR})
endif(KDE4WORKSPACE_FOUND)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}
)

if(SQLITE_FOUND)
    add_definitions(-DHAVE_SQLITE)
endif(SQLITE_FOUND)


remove_definitions(-DQT_NO_HTTP)

# kgetcore

set(kgetcore_SRCS
   core/job.cpp
   core/jobqueue.cpp
   core/kget.cpp
   core/scheduler.cpp
   core/transfertreemodel.cpp
   core/transfertreeselectionmodel.cpp
   core/transfer.cpp
   core/transfergroup.cpp
   core/transfergrouphandler.cpp
   core/transferhandler.cpp
   core/handler.cpp
   core/transfergroupscheduler.cpp
   core/plugin/plugin.cpp
   core/plugin/transferfactory.cpp
   core/transferdatasource.cpp
   core/datasourcefactory.cpp
   core/kgetkjobadapter.cpp
   core/kuiserverjobs.cpp
   core/kgetglobaljob.cpp
   core/bitset.cpp
   core/download.cpp
   core/transferhistorystore.cpp
   core/linkimporter.cpp
   dbus/dbustransferwrapper.cpp
   dbus/dbusverifierwrapper.cpp
   core/filemodel.cpp
   core/verifier.cpp
   core/verificationthread.cpp
   core/verificationmodel.cpp
   core/verificationdelegate.cpp
   core/signature.cpp
   core/signaturethread.cpp
   core/keydownloader.cpp
   core/urlchecker.cpp
   core/basedialog.cpp
   core/mostlocalurl.cpp
   core/filedeleter.cpp
)

if(HAVE_NEPOMUK)
    set(kgetcore_SRCS
       ${kgetcore_SRCS}
       core/nepomukhandler.cpp
       core/nepomukcontroller.cpp
    )

    NEPOMUK2_ADD_ONTOLOGY_CLASSES(
        kgetcore_SRCS
        ONTOLOGIES
        ${CMAKE_CURRENT_SOURCE_DIR}/kget_history.trig
    )
endif (HAVE_NEPOMUK)

kde4_add_kcfg_files(kgetcore_SRCS conf/settings.kcfgc)

qt4_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.transfer.xml dbus/dbustransferwrapper.h DBusTransferWrapper)
qt4_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.verifier.xml dbus/dbusverifierwrapper.h DBusVerifierWrapper)


kde4_add_library(kgetcore SHARED ${kgetcore_SRCS})

target_link_libraries(kgetcore ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS})

if (KDE4WORKSPACE_FOUND)
    target_link_libraries(kgetcore ${KDE4WORKSPACE_KWORKSPACE_LIBS})
endif (KDE4WORKSPACE_FOUND)

if (HAVE_NEPOMUK)
  target_link_libraries(kgetcore ${SOPRANO_LIBRARIES} ${NEPOMUK_CORE_LIBRARY} ${NEPOMUK_WIDGETS_LIBRARY})
endif (HAVE_NEPOMUK)

if (SQLITE_FOUND)
  target_link_libraries(kgetcore ${QT_QTSQL_LIBRARY})
endif (SQLITE_FOUND)

if (QCA2_FOUND)
    target_link_libraries(kgetcore ${QCA2_LIBRARIES})
endif (QCA2_FOUND)

if (QGPGME_FOUND)
    target_link_libraries(kgetcore ${QGPGME_LIBRARIES})
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
endif(QGPGME_FOUND)

set_target_properties(kgetcore PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kgetcore ${INSTALL_TARGETS_DEFAULT_ARGS})


# kget

set(kget_SRCS ${kget_adaptor_SRCS} ${kget_transfer_adaptor_SRCS}
   conf/autopastemodel.cpp
   conf/integrationpreferences.cpp
   conf/dlgwebinterface.cpp
   conf/preferencesdialog.cpp
   conf/transfersgrouptree.cpp
   conf/transfersgroupwidget.cpp
   conf/pluginselector.cpp
   conf/verificationpreferences.cpp
   ui/droptarget.cpp
   ui/transfersview.cpp
   ui/transfersviewdelegate.cpp
   ui/transferdetails.cpp
   ui/viewscontainer.cpp
   ui/newtransferdialog.cpp
   ui/groupsettingsdialog.cpp
   ui/transfersettingsdialog.cpp
   ui/contextmenu.cpp
   ui/tray.cpp
   ui/history/rangetreewidget.cpp
   ui/history/transferhistory.cpp
   ui/history/transferhistoryitemdelegate.cpp
   ui/history/transferhistorycategorizeddelegate.cpp
   ui/history/transferhistorycategorizedview.cpp
   ui/linkview/kget_linkview.cpp
   ui/linkview/kget_sortfilterproxymodel.cpp
   ui/mirror/mirrorsettings.cpp
   ui/mirror/mirrormodel.cpp
   ui/renamefile.cpp
   ui/verificationdialog.cpp
   ui/metalinkcreator/metalinkcreator.cpp
   ui/metalinkcreator/generalwidget.cpp
   ui/metalinkcreator/metalinker.cpp
   ui/metalinkcreator/filedlg.cpp
   ui/metalinkcreator/localemodels.cpp
   ui/metalinkcreator/dragdlg.cpp
   ui/metalinkcreator/urlwidget.cpp
   ui/metalinkcreator/filehandler.cpp
   ui/signaturedlg.cpp
   mainwindow.cpp
   main.cpp

   extensions/webinterface/httpserver.cpp
)

qt4_add_dbus_adaptor(kget_SRCS dbus/org.kde.kget.main.xml dbus/dbuskgetwrapper.h DBusKGetWrapper)

kde4_add_ui_files(kget_SRCS
   conf/dlgadvanced.ui
   conf/dlgappearance.ui
   conf/dlggroups.ui
   conf/dlgintegration.ui
   conf/dlgwebinterface.ui
   conf/dlgnetwork.ui
   conf/verificationpreferences.ui
   ui/transferdetailsfrm.ui
   ui/newtransferwidget.ui
   ui/history/transferhistory.ui
   ui/groupsettingsdialog.ui
   ui/transfersettingsdialog.ui
   ui/linkview/importlinkdialog.ui
   ui/mirror/mirrorsettings.ui
   ui/mirror/mirroradddlg.ui
   ui/renamefile.ui
   ui/verificationdialog.ui
   ui/verificationadddlg.ui
   ui/metalinkcreator/introduction.ui
   ui/metalinkcreator/generalwidget.ui
   ui/metalinkcreator/files.ui
   ui/metalinkcreator/filedlg.ui
   ui/metalinkcreator/dragdlg.ui
   ui/metalinkcreator/urlwidget.ui
   ui/metalinkcreator/commondata.ui
   ui/signaturedlg.ui
)

kde4_add_app_icon(kget_SRCS "ui/icons/hi*-apps-kget.png")

kde4_add_executable(kget ${kget_SRCS})

target_link_libraries(kget ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_KCMUTILS_LIBRARY} kgetcore ${KDE4_KNOTIFYCONFIG_LIBS})
if(QCA2_FOUND)
  target_link_libraries(kget ${QCA2_LIBRARIES})
endif(QCA2_FOUND)


if (HAVE_NEPOMUK)
  target_link_libraries(kget ${SOPRANO_LIBRARIES} ${NEPOMUK_CORE_LIBRARY} ${NEPOMUK_WIDGETS_LIBRARY})
endif (HAVE_NEPOMUK)

if (QGPGME_FOUND)
  target_link_libraries(kget ${QGPGME_LIBRARIES})
endif(QGPGME_FOUND)

install(TARGETS kget ${INSTALL_TARGETS_DEFAULT_ARGS})

if (HAVE_NEPOMUK)
    configure_file(kget_history.ontology.in ${CMAKE_CURRENT_BINARY_DIR}/kget_history.ontology)
    install(FILES kget_history.trig ${CMAKE_CURRENT_BINARY_DIR}/kget_history.ontology DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ontology/kde)
endif (HAVE_NEPOMUK)

if (NOT INSIDE_KDENETWORK)
    macro_display_feature_log()
endif ()

=== debian/changelog ===
kget (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:50:11 +0200

kget (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Change 'MIT/X11 (BSD like) to MIT-X11-BSD-like to make lintian happy. 
  * Add mootools lintian to override as it is linked in prune:non-free
    in rules file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:53:00 -0700

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
+               kde-sc-dev-latest (>= 4:4.11),
                kde-workspace-dev (>= 4:4.11),
-               kdepimlibs5-dev (>= 4:4.14.1),
+               kdepimlibs5-dev (>= 4:4.14.2),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
-               libkonq5-dev (>= 4:4.14.1),
+               libkonq5-dev (>= 4:4.14.2),
                libktorrent-dev (>= 1.1),
                libmms-dev,
                libqca2-dev (>= 2.0.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

prune-nonfree:
	# Remove minified javascripts
	rm -f extensions/webinterface/www/mootools-core-yc.js \
	      extensions/webinterface/www/mootools-more.js
	# Replace them with symlinks
	ln -s /usr/share/javascript/mootools/mootools-core-yc.js \
	      extensions/webinterface/www/mootools-core-yc.js
	ln -s /usr/share/javascript/mootools/mootools-more.js \
	      extensions/webinterface/www/mootools-more.js

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kget-([\d\.]*).tar.xz

## kget 14.12.3

=== debian/changelog ===
kget (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdepimlibs parent version depend. 
  * New upstream release
  * Fix kdepimlibs version in build depends. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:41:31 -0700

kget (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:11:03 -0800

kget (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:59:13 +0100

kget (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 20:56:27 -0800

kget (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
   - Remove depend on  kde-workspace-dev which is not available
     in this series.
   - 
  * Debian merge, remaining changes: 
   - Change 'MIT/X11 (BSD like) to MIT-X11-BSD-like to make lintian happy.
   - Move prune-nonfree to dh_links as it was not functioning and 
     installing the minified js, triggering lintian.
   - Add not-installed for missing libkgetcore.so - there is
     no -dev package.
   

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 15:26:03 +0000

kget (4:4.14.2-0ubuntu2) vivid; urgency=medium

  * Remove kde-workspace-dev build-dep, no longer in archive

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 16:23:17 +0100

kget (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Change 'MIT/X11 (BSD like) to MIT-X11-BSD-like to make lintian happy. 
  * Add mootools lintian to override as it is linked in prune:non-free
    in rules file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:53:00 -0700

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),              
               kdepimlibs5-dev (>= 4:4.14),
               libboost-dev,
               libgpgme11-dev,
               libjs-mootools,
               libktorrent-dev (>= 1.1),
               libmms-dev,
               libqca2-dev (>= 2.0.0),
               libsoprano-dev,
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-desktop-ontologies (>= 0.8)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kget.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kget.git

Package: kget
Section: net
Architecture: any
Depends: libjs-mootools, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_link:
	# Remove minified javascripts
	rm -f debian/tmp/usr/share/kde4/apps/kget/www/mootools-core-yc.js
	rm -f debian/tmp/usr/share/kde4/apps/kget/www/mootools-more.js
	$(overridden_command)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
http://download.kde.org/stable/applications/([\d.]+)/src/kget-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kget-([\d.]+).tar.xz

## kget 15.08.2

=== debian/changelog ===
kget (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:25:49 +0100

kget (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:51:59 +0100

kget (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Drop unused kdepimlibs5-dev bdep.
  * Remove source lintian override for unsafe symlinks as they have been fixed
    upstream.
  * Resolve lintian warning about incorrectly defined copyright license block

 -- Harald Sitter <sitter@kde.org>  Fri, 28 Aug 2015 07:56:46 +0200

kget (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:25:31 +0100

kget (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:50:34 +0100

kget (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix kdepimlibs version 
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:02:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),              
-               kdepimlibs5-dev (>= 4:4.14),
+               kde-sc-dev-latest (>= 4:4.12),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
@@ -23,7 +22,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                shared-desktop-ontologies (>= 0.8)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kget.git/

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kget-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kget-([\d.]+).tar.xz

## kget 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+cmake_minimum_required(VERSION 2.8.9)
 project(kget)
 
 if(NOT INSIDE_KDENETWORK)

=== extensions/CMakeLists.txt ===
add_subdirectory(konqueror)
add_subdirectory(webinterface)

=== transfer-plugins/contentfetch/CMakeLists.txt ===
add_subdirectory(scripts)

include_directories(
   ../../
)

set(kget_contentfetchfactory_PART_SRCS
  contentfetch.cpp
  contentfetchfactory.cpp
  script.cpp
  scriptdownloadengine.cpp
  scriptconfigadaptor.cpp
)

kde4_add_kcfg_files(kget_contentfetchfactory_PART_SRCS contentfetchsetting.kcfgc)

kde4_add_plugin(kget_contentfetchfactory ${kget_contentfetchfactory_PART_SRCS})

target_link_libraries(kget_contentfetchfactory ${KDE4_KIO_LIBS}
${KDE4_KROSSCORE_LIBS} ${KDE4_KROSSUI_LIBS} kgetcore)

install(TARGETS kget_contentfetchfactory DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kget_contentfetchfactory.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kget_contentfetchfactory.kcfg DESTINATION ${KCFG_INSTALL_DIR})

###Build KCM-Module
set(kcm_kget_contentfetchfactory_PART_SRCS
  dlgcontentfetchsettingwidget.cpp
  dlgscriptediting.cpp
  scriptconfigadaptor.cpp
)

kde4_add_ui_files(kcm_kget_contentfetchfactory_PART_SRCS
  dlgcontentfetchsettingwidget.ui 
  dlgscriptediting.ui
)

kde4_add_kcfg_files(kcm_kget_contentfetchfactory_PART_SRCS contentfetchsetting.kcfgc)
kde4_add_plugin(kcm_kget_contentfetchfactory ${kcm_kget_contentfetchfactory_PART_SRCS})
target_link_libraries(kcm_kget_contentfetchfactory ${KDE4_KIO_LIBS}
${KDE4_KROSSCORE_LIBS} ${KDE4_KROSSUI_LIBS})
install(TARGETS kcm_kget_contentfetchfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_contentfetchfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kget (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:22:23 -0700

kget (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:43:54 +0100

kget (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:15 +0100

kget (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Adding lintian overrides

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:53:40 +0000

kget (4:15.08.0+dfsg-1) unstable; urgency=medium

  * New upstream release (15.04.0+dfsg).
  * New upstream release (15.04.2+dfsg).
  * New upstream release (15.08.0+dfsg).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 17:24:17 +0200

kget (4:14.12.3+dfsg-1) experimental; urgency=medium

  * New upstream release (14.12.3+dfsg).
  * New patch: minified_file

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:11 +0200

kget (4:14.12.2+dfsg-1) experimental; urgency=medium

  * New upstream release (14.12.2+dfsg).

  [ Scarlett Clark ]
  * Add back kdepimlibs parent version depend.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 12:57:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
+               kdepimlibs5-dev (>= 4:4.14),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
@@ -23,10 +25,9 @@
                pkg-kde-tools (>= 0.12),
                shared-desktop-ontologies (>= 0.8)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kget.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kget.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kget.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kget.git
 
 Package: kget
 Section: net

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp
